# LiquitySPWithdraw

### Description

Action for withdrawing LUSD tokens from the stability pool

### Action ID

`0x76a18aec`

### SDK Action

```ts
const liquitySPWithdrawAction = new dfs.actions.liquity.LiquitySPWithdrawAction(
    lusdAmount,
    to,
    wethTo,
    lqtyTo
);
```

### Action Type

`STANDARD_ACTION`

### Input Parameters

```solidity
    /// @param lusdAmount Amount of LUSD tokens to withdraw
    /// @param to Address that will receive the tokens
    /// @param wethTo Address that will receive ETH(wrapped) gains
    /// @param lqtyTo Address that will receive LQTY token gains
    struct Params {
        uint256 lusdAmount;
        address to;
        address wethTo;
        address lqtyTo;
    }
```

### Return Value

```solidity
return bytes32(withdrawnAmount);
```

### Events and Logs

```solidity
emit ActionEvent("LiquitySPWithdraw", logData);
logger.logActionDirectEvent("LiquitySPWithdraw", logData);
bytes memory logData = abi.encode(params);
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.defisaver.com/actions/liquity/liquityspwithdraw.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
